# Interface LinkPlain<Ref>

interface LinkPlain<Ref> {
from_id?: Ref;
id: Ref;
to_id?: Ref;
type_id: Ref;
value?: any;
}

#### Type Parameters

- #### Ref extends Id

#### Hierarchy (view full)

- LinkPlain
  - Link

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:24

#####
Index

### Properties

from_id?
id
to_id?
type_id
value?

## Properties

### `Optional` from_id

from_id?: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:27

### id

id: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:25

### `Optional` to_id

to_id?: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:28

### type_id

type_id: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:26

### `Optional` value

value?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:29

Generated using TypeDoc